'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral([''], ['']),
    _templateObject2 = _taggedTemplateLiteral(['\n'], ['\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _rebass = require('rebass');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var BlogSummaryFlex = (0, _styledComponents2.default)(_rebass.Flex).attrs({
  align: function align(props) {
    return props.align || 'flex-start';
  },
  bg: function bg(props) {
    return props.bg || '#dee1e3';
  },
  py: function py(props) {
    return props.py || 3;
  },
  px: function px(props) {
    return props.px || [1, 2, 3, 4];
  },
  wrap: function wrap(props) {
    return props.wrap || true;
  }
})(_templateObject);

var ImageBox = (0, _styledComponents2.default)(_rebass.Box).attrs({
  width: function width(props) {
    return props.width || [1, 1, 1, 1 / 3];
  }
})(_templateObject);

var CenteredImage = (0, _styledComponents2.default)(_rebass.Image).attrs({
  src: function src(props) {
    return props.src || 'http://placekitten.com/g/500/300';
  },
  maxWidth: function maxWidth(props) {
    return props.maxWidth || '200px';
  },
  my: function my(props) {
    return props.my || [1, 3, 3, 8];
  },
  mx: function mx(props) {
    return props.mx || 'auto';
  }
})(_templateObject2);

var ContentBox = (0, _styledComponents2.default)(_rebass.Box).attrs({
  my: function my(props) {
    return props.my || [1, 3, 3, 8];
  },
  px: function px(props) {
    return props.px || [1, 2, 3, 4];
  },
  width: function width(props) {
    return props.width || [1, 1, 1, 2 / 3];
  }
})(_templateObject);

var ContentHeading = (0, _styledComponents2.default)(_rebass.Heading).attrs({
  py: function py(props) {
    return props.py || [1, 1, 1, 1];
  },
  fontSize: function fontSize(props) {
    return props.fontSize || [4, 4, 4, 4];
  },
  color: function color(props) {
    return props.color || '#ea9a4c';
  }
})(_templateObject);

/** Blog Summary */
var BlogSummary = function BlogSummary(props) {
  var flex = props.flex,
      imageBox = props.imageBox,
      image = props.image,
      contentBox = props.contentBox,
      contentHeading = props.contentHeading;

  return _react2.default.createElement(
    BlogSummaryFlex,
    flex,
    _react2.default.createElement(
      ImageBox,
      imageBox,
      _react2.default.createElement(CenteredImage, image)
    ),
    _react2.default.createElement(
      ContentBox,
      contentBox,
      _react2.default.createElement(
        ContentHeading,
        contentHeading,
        'hellow world what if the title is really long'
      ),
      _react2.default.createElement(
        _rebass.Text,
        null,
        'THis is reviewTHis is reviewTHis is reviewTHis is review'
      ),
      _react2.default.createElement(
        _rebass.Flex,
        { my: 3 },
        _react2.default.createElement(
          _rebass.Text,
          { bold: true },
          '\uB0A0\uC9DC'
        ),
        _react2.default.createElement(_rebass.Box, { mx: 1 }),
        _react2.default.createElement(
          _rebass.Text,
          null,
          '12/33'
        ),
        _react2.default.createElement(_rebass.Box, { mx: 1 }),
        _react2.default.createElement(
          _rebass.Text,
          { bold: true },
          '\uC791\uC131\uC790'
        ),
        _react2.default.createElement(_rebass.Box, { mx: 1 }),
        _react2.default.createElement(
          _rebass.Text,
          null,
          '12/33'
        )
      )
    )
  );
};

BlogSummary.propTypes = {
  /** bg, py, wrap */
  flex: _propTypes2.default.shape({
    bg: _propTypes2.default.string,
    py: _propTypes2.default.array,
    wrap: _propTypes2.default.boolean
  }),
  /** width */
  imageBox: _propTypes2.default.shape({
    width: _propTypes2.default.array
  }),
  /** my, src */
  image: _propTypes2.default.shape({
    my: _propTypes2.default.array,
    src: _propTypes2.default.string
  }),
  contentBox: _propTypes2.default.shape({
    bg: _propTypes2.default.string,
    py: _propTypes2.default.array,
    px: _propTypes2.default.array,
    witdh: _propTypes2.default.array
  }),
  contentHeading: _propTypes2.default.shape({
    py: _propTypes2.default.array,
    fontSize: _propTypes2.default.array,
    color: _propTypes2.default.string
  })
};

BlogSummary.defaultProps = {};

exports.default = BlogSummary;