'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

var _Logo = require('../Logo');

var _Logo2 = _interopRequireDefault(_Logo);

var _color = require('color');

var _color2 = _interopRequireDefault(_color);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/** Fixed Header Component */
var Header = function (_React$Component) {
  _inherits(Header, _React$Component);

  function Header() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Header);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Header.__proto__ || Object.getPrototypeOf(Header)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      headerBg: 'transparent'
    }, _this.handleBgColor = function () {
      if (_this.props.bg !== 'transparent') {
        var windowHeight = window.innerHeight - 80;
        // can't use theme color system
        var headerBg = (0, _color2.default)(_this.props.bg).alpha(window.scrollY / windowHeight).string();
        _this.setState({ headerBg: headerBg });
      }
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Header, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      if (typeof window !== 'undefined') {
        window.addEventListener('scroll', this.handleBgColor);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          logoSrc = _props.logoSrc,
          logoWrapper = _props.logoWrapper,
          btnText = _props.btnText,
          btnWrapper = _props.btnWrapper,
          btn = _props.btn;

      return _react2.default.createElement(
        _rebass.Fixed,
        { bg: this.state.headerBg, z: 100, left: true, top: true, right: true },
        _react2.default.createElement(
          _rebass.Flex,
          { justify: 'space-between', align: 'center' },
          _react2.default.createElement(
            _rebass.Box,
            logoWrapper,
            _react2.default.createElement(_Logo2.default, { src: logoSrc })
          ),
          _react2.default.createElement(
            _rebass.Box,
            btnWrapper,
            _react2.default.createElement(
              _rebass.ButtonCircle,
              btn,
              btnText
            )
          )
        )
      );
    }
  }]);

  return Header;
}(_react2.default.Component);

Header.propTypes = {
  /** Background Color if you want transparent , "transparent" */
  bg: _propTypes2.default.string.isRequired,

  /** Logo source url */
  logoSrc: _propTypes2.default.string.isRequired,
  /** px, py */
  logoWrapper: _propTypes2.default.shape({
    px: _propTypes2.default.array,
    py: _propTypes2.default.array
  }),

  /** Button Text */
  btnText: _propTypes2.default.string.isRequired,
  /** px, py */
  btnWrapper: _propTypes2.default.shape({
    px: _propTypes2.default.array,
    py: _propTypes2.default.array
  }),

  /** font-size, color, bg, px  */
  btn: _propTypes2.default.shape({
    fontSize: _propTypes2.default.array,
    color: _propTypes2.default.string,
    bg: _propTypes2.default.string,
    px: _propTypes2.default.array
  })
};

Header.defaultProps = {
  logoWrapper: {
    px: [3, 3, 3, 7],
    py: [2, 2, 2, 2]
  },
  btnWrapper: {
    px: [3, 3, 3, 7],
    py: [1, 1, 1, 1]
  },
  btn: {
    fontSize: [1],
    color: 'white',
    bg: 'green',
    px: [5]
  }
};

exports.default = Header;