'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

var _MultiLineText = require('../MultiLineText');

var _MultiLineText2 = _interopRequireDefault(_MultiLineText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Hero */
function Hero(props) {
  var backgroundImage = props.backgroundImage,
      wrapper = props.wrapper,
      titleText = props.titleText,
      title = props.title,
      descriptionText = props.descriptionText,
      description = props.description;
  var alignItems = wrapper.alignItems,
      px = wrapper.px;

  return _react2.default.createElement(
    _rebass.Banner,
    { backgroundImage: backgroundImage, style: { alignItems: alignItems }, px: px },
    _react2.default.createElement(_MultiLineText2.default, Object.assign({ multiLineText: titleText }, title)),
    _react2.default.createElement(_MultiLineText2.default, Object.assign({ multiLineText: descriptionText }, description))
  );
}

Hero.propTypes = {
  /** Background Image */
  backgroundImage: _propTypes2.default.string.isRequired,
  /** alignItems(flex-start, center, flex-end), px*/
  wrapper: _propTypes2.default.shape({
    /** conent location */
    alignItems: _propTypes2.default.oneOf(['flex-start', 'center', 'flex-end']),
    px: _propTypes2.default.array
  }),

  /** text of title */
  titleText: _propTypes2.default.string.isRequired,
  /** fontSize, color, bold, pb*/
  title: _propTypes2.default.shape({
    fontSize: _propTypes2.default.array,
    color: _propTypes2.default.string,
    bold: _propTypes2.default.string,
    pb: _propTypes2.default.array
  }),

  /** text of description */
  descriptionText: _propTypes2.default.string.isRequired,
  /** fontSize, color, bold, pb*/
  description: _propTypes2.default.shape({
    fontSize: _propTypes2.default.array,
    color: _propTypes2.default.string,
    bold: _propTypes2.default.string,
    pb: _propTypes2.default.array
  })
};

Hero.defaultProps = {
  backgroundImage: 'http://via.placeholder.com/1080x900',
  wrapper: {
    alignItems: 'flex-start',
    px: [3, 3, 100, 300]
  },
  title: {
    fontSize: ['7em'],
    color: 'white',
    bold: 'bold',
    pb: [10, 3, 3, 3]
  },
  description: {
    fontSize: [2, 2, 3, 3],
    color: 'white',
    bold: 'thin',
    pb: [10]
  }
};

exports.default = Hero;