'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

var _MultiLineText = require('../MultiLineText');

var _MultiLineText2 = _interopRequireDefault(_MultiLineText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Intro */
function Intro(_ref) {
  var wrapper = _ref.wrapper,
      titleText = _ref.titleText,
      title = _ref.title,
      descriptionText = _ref.descriptionText,
      description = _ref.description;

  return _react2.default.createElement(
    _rebass.Flex,
    Object.assign({}, wrapper, { style: { margin: '0 auto', textAlign: 'center', maxWidth: '850px' }, wrap: true }),
    _react2.default.createElement(
      _rebass.Box,
      { width: [1], my: title.my },
      _react2.default.createElement(_MultiLineText2.default, Object.assign({ multiLineText: titleText }, title))
    ),
    _react2.default.createElement(
      _rebass.Box,
      { width: [1] },
      _react2.default.createElement(_MultiLineText2.default, Object.assign({ multiLineText: descriptionText }, description))
    )
  );
}

Intro.propTypes = {
  /** px */
  wrapper: {
    px: _propTypes2.default.array
  },
  /** text of title */
  titleText: _propTypes2.default.string,
  /** font-size, color, bold, my, pb */
  title: _propTypes2.default.shape({
    fontSize: _propTypes2.default.array,
    color: _propTypes2.default.string,
    bold: _propTypes2.default.string,
    my: _propTypes2.default.array,
    pb: _propTypes2.default.array
  }),

  /** text of description */
  descriptionText: _propTypes2.default.string,
  /** font-size, color, bold, my, ps */
  description: _propTypes2.default.shape({
    fontSize: _propTypes2.default.array,
    color: _propTypes2.default.string,
    bold: _propTypes2.default.string,
    my: _propTypes2.default.array,
    ps: _propTypes2.default.array
  })
};

Intro.defaultProps = {
  wrapper: {
    px: [1, 3, 4, 4]
  },
  title: {
    fontSize: [6],
    color: '#ea9a4c',
    bold: 'normal',
    my: [6],
    pb: [0]
  },
  description: {
    fontSize: [2],
    color: '#8e8e8e',
    bold: 'normal',
    my: [3],
    pb: [3]
  }
};

exports.default = Intro;