'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/** wrapper for rebass Text component for multi line */
var MultiLineText = function MultiLineText(_ref) {
  var multiLineText = _ref.multiLineText,
      keyPrefix = _ref.keyPrefix,
      my = _ref.my,
      pb = _ref.pb,
      bold = _ref.bold,
      rest = _objectWithoutProperties(_ref, ['multiLineText', 'keyPrefix', 'my', 'pb', 'bold']);

  var splittedTexts = multiLineText.split(/\r\n|\n|\r/);
  var numOfTexts = splittedTexts.length;
  var fontWeight = bold === 'bold' ? 700 : bold === 'thin' ? 200 : 400;
  return _react2.default.createElement(
    'div',
    null,
    splittedTexts.map(function (text, index) {
      return _react2.default.createElement(
        _rebass.Text,
        Object.assign({
          style: { lineHeight: 'normal', fontWeight: fontWeight }
        }, rest, {
          key: keyPrefix + '-' + index,
          my: my ? my : 0,
          pb: numOfTexts === index + 1 ? pb : null }),
        text
      );
    })
  );
};

MultiLineText.propTypes = {
  multiLineText: _propTypes2.default.string,
  keyPrefix: _propTypes2.default.string,
  my: _propTypes2.default.array,
  pb: _propTypes2.default.array
};

exports.default = MultiLineText;