'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['width: 100%;'], ['width: 100%;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _gridStyled = require('grid-styled');

var _MultiLineText = require('../MultiLineText');

var _MultiLineText2 = _interopRequireDefault(_MultiLineText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ImgBox = _styledComponents2.default.img(_templateObject);

var Promotion = function Promotion(_ref) {
  var index = _ref.index,
      titleText = _ref.titleText,
      descriptionText = _ref.descriptionText,
      image = _ref.image,
      _ref$title = _ref.title,
      titleSizes = _ref$title.titleSizes,
      titleColor = _ref$title.titleColor,
      titleBold = _ref$title.titleBold,
      titleMys = _ref$title.titleMys,
      titlePbs = _ref$title.titlePbs,
      _ref$description = _ref.description,
      descriptionSizes = _ref$description.descriptionSizes,
      descriptionColor = _ref$description.descriptionColor,
      descriptionBold = _ref$description.descriptionBold,
      descriptionMys = _ref$description.descriptionMys,
      descriptionPbs = _ref$description.descriptionPbs;
  return _react2.default.createElement(
    _gridStyled.Flex,
    { wrap: true, p: [1, 1, 1, 4] },
    _react2.default.createElement(
      _gridStyled.Box,
      { w: [1, 1, 1 / 2], px: 2, order: [1, 1, index / 2 === 0 ? 1 : 2] },
      _react2.default.createElement(ImgBox, { src: image, alt: index + '-promo' })
    ),
    _react2.default.createElement(
      _gridStyled.Box,
      { w: [1, 1, 1 / 2], px: 2, order: [2, 2, index / 2 === 0 ? 2 : 1] },
      _react2.default.createElement(_MultiLineText2.default, {
        multiLineText: titleText,
        f: titleSizes,
        color: titleColor,
        bold: titleBold,
        pb: titlePbs
      }),
      _react2.default.createElement(_MultiLineText2.default, {
        multiLineText: descriptionText,
        f: descriptionSizes,
        color: descriptionColor,
        bold: descriptionBold,
        my: descriptionMys,
        pb: descriptionPbs
      })
    )
  );
};

Promotion.propTypes = {
  /** Index of promotion */
  index: _propTypes2.default.number,
  /** image url of promotion */
  image: _propTypes2.default.string,
  /** text of title */
  titleText: _propTypes2.default.string,
  /** text of description */
  descriptionText: _propTypes2.default.string,
  /** Title */
  title: _propTypes2.default.shape({
    /** title size in array */
    titleSizes: _propTypes2.default.array,
    /** color of title */
    titleColor: _propTypes2.default.string,
    /** bold for title */
    titleBold: _propTypes2.default.string,
    /** mys for title */
    titleMys: _propTypes2.default.array,
    /** pbs for title */
    titlePbs: _propTypes2.default.array
  }),

  /** Description */
  description: _propTypes2.default.shape({
    /** text size in array */
    descriptionSizes: _propTypes2.default.array,
    /** color of description */
    descriptionColor: _propTypes2.default.string,
    /** bold for description */
    descriptionBold: _propTypes2.default.string,
    /** mys for description */
    descriptionMys: _propTypes2.default.array,
    /** pbs for description */
    descriptionPbs: _propTypes2.default.array
  })
};

Promotion.defaultProps = {
  image: '',
  index: 1,
  titleText: '',
  descriptionText: '',
  title: {
    titleSizes: [6],
    titleColor: '#ea9a4c',
    titleBold: 'normal',
    titleMys: [1],
    titlePbs: [0]
  },
  description: {
    descriptionSizes: [2],
    descriptionColor: '#8e8e8e',
    descriptionBold: 'normal',
    descriptionMys: [1],
    descriptionPbs: [1]
  }
};

exports.default = Promotion;